Enable and use the warnings core module.
authorStefan Schantl <stefan.schantl@ipfire.org>
Tue, 24 Nov 2015 12:26:34 +0000 (13:26 +0100)
committerStefan Schantl <stefan.schantl@ipfire.org>
Tue, 24 Nov 2015 12:26:34 +0000 (13:26 +0100)
When using the warnings module, perl will display a lot
of usefull informations when launching the script and
therefore helps to improve the code.

Signed-off-by: Stefan Schantl <stefan.schantl@ipfire.org>
guardian

index af5caeb..2928773 100644 (file)
--- a/guardian
+++ b/guardian
@@ -31,6 +31,8 @@ require Guardian::Config;
 require Guardian::Parser;
 require Guardian::Socket;
 
+use warnings;
+
 # Define version.
 my $version ="2.0";